summaryrefslogtreecommitdiffstats
path: root/abs
diff options
context:
space:
mode:
Diffstat (limited to 'abs')
-rwxr-xr-xabs/core-testing/LinHES-config/PKGBUILD2
-rwxr-xr-xabs/core-testing/LinHES-config/install_proxy.sh7
-rwxr-xr-xabs/core-testing/LinHES-config/mv_install.py49
-rwxr-xr-xabs/core-testing/LinHES-config/mv_ir.py21
-rwxr-xr-xabs/core-testing/LinHES-config/systemconfig.sh5
-rw-r--r--abs/extra-testing/community/mpc/ChangeLog15
-rw-r--r--abs/extra-testing/community/mpc/PKGBUILD26
-rw-r--r--abs/extra-testing/community/mpd/PKGBUILD44
-rwxr-xr-xabs/extra-testing/community/mpd/mpd42
-rw-r--r--abs/extra-testing/community/mpd/mpd.install23
10 files changed, 209 insertions, 25 deletions
diff --git a/abs/core-testing/LinHES-config/PKGBUILD b/abs/core-testing/LinHES-config/PKGBUILD
index 76d3d43..676c13f 100755
--- a/abs/core-testing/LinHES-config/PKGBUILD
+++ b/abs/core-testing/LinHES-config/PKGBUILD
@@ -1,6 +1,6 @@
pkgname=LinHES-config
pkgver=2.0
-pkgrel=17
+pkgrel=25
conflicts=(MythVantage-config MythVantage-config-dev LinHES-config-dev )
pkgdesc="Install and configure your system"
depends=(bc libstatgrab mysql-python expect curl dnsutils parted sg3_utils nmbscan system-templates rsync python-parted ddcxinfo)
diff --git a/abs/core-testing/LinHES-config/install_proxy.sh b/abs/core-testing/LinHES-config/install_proxy.sh
index ef13f6c..bedacbf 100755
--- a/abs/core-testing/LinHES-config/install_proxy.sh
+++ b/abs/core-testing/LinHES-config/install_proxy.sh
@@ -31,6 +31,13 @@ progress () {
case $1 in
full_install_it )
mv_install.py --rootdisk=$disk --rootfs=$rootfs --rootsize=$rootsize --datafs=$datafs --datasize=$datasize --datadisk=$disk --swapsize=$swapsize -c full_install
+ rc=$?
+ echo "mv_install.py exit code $rc"
+ if [ $rc != 0 ]
+ then
+ echo "mv_install error" >> /tmp/.install_error
+ fi
+ exit $rc
;;
NETBOOT)
diff --git a/abs/core-testing/LinHES-config/mv_install.py b/abs/core-testing/LinHES-config/mv_install.py
index 97fbae5..87fbaae 100755
--- a/abs/core-testing/LinHES-config/mv_install.py
+++ b/abs/core-testing/LinHES-config/mv_install.py
@@ -15,6 +15,17 @@ def usage():
def clean_upgrade():
return False
+def error_out(errmsg):
+ cmd = '''echo %s >> /tmp/.install_error ''' %errmsg
+ runcmd(cmd)
+ logging.critical("***********************************")
+ logging.critical("error: %s",errmsg)
+ print "***********************************"
+ print "ERROR: mv_install.py: %s" %errmsg
+ print "***********************************"
+ sys.exit(1)
+
+
def update_db(value, data):
db = MySQLdb.connect(host="localhost", user="mythtv", passwd="mythtv", db="mythconverg")
try:
@@ -175,7 +186,7 @@ def runcmd(cmd):
else:
cmd = "echo "+cmd
logging.debug(" %s", cmd)
- cmdout = commands.getoutput(cmd)
+ cmdout = commands.getstatusoutput(cmd)
logging.debug(" %s", cmdout)
return cmdout
@@ -185,7 +196,7 @@ def mysqldb(cmd, inchroot):
elif cmd == "stop":
mycmd = " /etc/rc.d/mysqld stop"
if inchroot == "chroot":
- mycmd = " chroot %s" %mycmd
+ mycmd = " chroot /newboot %s" %mycmd
runcmd(mycmd)
@@ -261,7 +272,8 @@ def create_partitions(diskdevice, size, ptype, startsector):
geom = parted.Geometry(device=device, start=newstart, length=length)
except:
logging.info("An error occured, probably invalid parition size")
- return
+ error_out("invalid parition size")
+
#collect device constraint
constraint = device.getConstraint()
# new partition
@@ -303,7 +315,7 @@ def fscmd(fstype):
rc = fscmds[fstype]
except:
logging.critical(" %s is not a valid fs type, exiting now", fstype)
- sys.exit(3)
+ error_out("Error mvinstall during format")
return rc
@@ -489,7 +501,7 @@ def create_fstab(extralines):
def find_uuid(partition):
logging.info("Finding the UUID for %s...", partition)
cmd = "blkid -s UUID /dev/%s" %partition
- tmpuuid = runcmd(cmd)
+ tmpuuid = runcmd(cmd)[1]
splituuid = tmpuuid.partition("=")
uuid = splituuid[2].replace('"', "")
logging.info("The uuid is %s", uuid)
@@ -903,8 +915,11 @@ def full_install(hostoptions):
runcmd(cmd)
logging.info("Running systemconfig in chroot")
#cmd = " chroot %s %s/bin/systemconfig.sh misc, hostype, network, advanced, user, this_is_install" %(data_config.MOUNTPOINT, MVROOT)
- cmd = " chroot %s %s/bin/systemconfig.sh all , this_is_install" %(data_config.MOUNTPOINT, MVROOT)
- runcmd(cmd)
+ cmd = "chroot %s %s/bin/systemconfig.sh all , this_is_install" %(data_config.MOUNTPOINT, MVROOT)
+ rc = runcmd(cmd)[0]
+ if rc != 0 :
+ error_out("Running systemconfig")
+
mysqldb("stop", "chroot")
kill_dhcp_chroot()
logging.info("____End Database in CHROOT____")
@@ -922,9 +937,11 @@ def full_install(hostoptions):
logging.debug("touching /tmp/.dbsysfailed")
else:
#cmd = " chroot %s %s/bin/systemconfig.sh misc, hostype, network, advanced, user, this_is_install" %(data_config.MOUNTPOINT, MVROOT)
- cmd = " chroot %s %s/bin/systemconfig.sh all , this_is_install" %(data_config.MOUNTPOINT, MVROOT)
- runcmd(cmd)
- cmd = " chroot %s %s/bin/restore_default_settings.sh -c ACCESSCONTROL " %(data_config.MOUNTPOINT, MVROOT)
+ cmd = "chroot %s %s/bin/systemconfig.sh all , this_is_install" %(data_config.MOUNTPOINT, MVROOT)
+ rc = runcmd(cmd)[0]
+ if rc != 0 :
+ error_out("Running systemconfig")
+ cmd = "chroot %s %s/bin/restore_default_settings.sh -c ACCESSCONTROL " %(data_config.MOUNTPOINT, MVROOT)
runcmd(cmd)
umount_bind_chroot()
#cmd = " chroot %s %s/bin/systemconfig.sh advanced, user" %(data_config.MOUNTPOINT, MVROOT)
@@ -1127,8 +1144,10 @@ def upgrade(hostoptions):
mount_bind_chroot()
logging.info("Running systemconfig in chroot")
#cmd = " chroot %s %s/bin/systemconfig.sh misc, hostype, network, advanced, user, this_is_install" %(data_config.MOUNTPOINT, MVROOT)
- cmd = " chroot %s %s/bin/systemconfig.sh all , this_is_install" %(data_config.MOUNTPOINT, MVROOT)
- runcmd(cmd)
+ cmd = "chroot %s %s/bin/systemconfig.sh all , this_is_install" %(data_config.MOUNTPOINT, MVROOT)
+ rc = runcmd(cmd)[0]
+ if rc != 0 :
+ error_out("Running systemconfig")
mysqldb("stop", "")
if ( systemconfig["SystemType"] == "Master_backend" or systemconfig["SystemType"] == "Standalone" ):
if clean_upgrade() or not backup_sql_check():
@@ -1154,8 +1173,10 @@ def upgrade(hostoptions):
logging.info("Running systemconfig in chroot 2nd time")
#cmd = " chroot %s %s/bin/systemconfig.sh misc, hostype, network, advanced, user, this_is_install" %(data_config.MOUNTPOINT, MVROOT)
- cmd = " chroot %s %s/bin/systemconfig.sh all , this_is_install" %(data_config.MOUNTPOINT, MVROOT)
- runcmd(cmd)
+ cmd = "chroot %s %s/bin/systemconfig.sh all , this_is_install" %(data_config.MOUNTPOINT, MVROOT)
+ rc = runcmd(cmd)[0]
+ if rc != 0 :
+ error_out("Running systemconfig")
#logging.info("Running systemconfig in chroot")
#cmd = " chroot %s %s/bin/systemconfig.sh advanced" %(data_config.MOUNTPOINT, MVROOT)
#runcmd(cmd)
diff --git a/abs/core-testing/LinHES-config/mv_ir.py b/abs/core-testing/LinHES-config/mv_ir.py
index b8e9741..5734642 100755
--- a/abs/core-testing/LinHES-config/mv_ir.py
+++ b/abs/core-testing/LinHES-config/mv_ir.py
@@ -31,17 +31,20 @@ def setup_lirc_links(mythhome):
mv_common.runcmd(cmd)
pass
- if not os.path.exists(mythhome+"/.mythtv/lircrc"):
- logging.debug(" Creating symlink for myth lircrc")
- os.symlink("/etc/lircrc",mythhome+"/.mythtv/lircrc")
- else:
- logging.debug(" %s/lircrc already present",mythhome)
+ if os.path.exists("/etc/lircrc"):
+ if not os.path.exists(mythhome+"/.mythtv/lircrc"):
+ logging.debug(" Creating symlink for myth lircrc")
+ os.symlink("/etc/lircrc",mythhome+"/.mythtv/lircrc")
+ else:
+ logging.debug(" %s/lircrc already present",mythhome)
- if not os.path.exists(mythhome+"/.lircrc"):
- logging.debug(" Creating symlink for lircrc")
- os.symlink("/etc/lircrc",mythhome+"/.lircrc")
+ if not os.path.exists(mythhome+"/.lircrc"):
+ logging.debug(" Creating symlink for lircrc")
+ os.symlink("/etc/lircrc",mythhome+"/.lircrc")
+ else:
+ logging.debug(" %s/.lircrc already present",mythhome)
else:
- logging.debug(" %s/.lircrc already present",mythhome)
+ logging.debug(" /etc/lircrc does not exisit, can not link it")
def scrub_modules(filename,module):
logging.debug(" scrubbing %s from %s",module,filename)
diff --git a/abs/core-testing/LinHES-config/systemconfig.sh b/abs/core-testing/LinHES-config/systemconfig.sh
index 57bff5a..218f705 100755
--- a/abs/core-testing/LinHES-config/systemconfig.sh
+++ b/abs/core-testing/LinHES-config/systemconfig.sh
@@ -11,6 +11,9 @@ echo "----------------------start of systemconfig $@ ----------------------"
postfix=`cat ${BASE}/usr/local/share/mythtv/.releasetype`
systemconfig.py -m $@
-echo "exit code $?"
+rc=$?
+echo "systemconfig.py exit code $rc"
+exit $rc
+
diff --git a/abs/extra-testing/community/mpc/ChangeLog b/abs/extra-testing/community/mpc/ChangeLog
new file mode 100644
index 0000000..b645e19
--- /dev/null
+++ b/abs/extra-testing/community/mpc/ChangeLog
@@ -0,0 +1,15 @@
+2009-03-11 Alexander Fehr <pizzapunk gmail com>
+
+ * mpc-0.15-1:
+ New upstream release.
+ Changed license to GPL2.
+
+2008-12-22 Alexander Fehr <pizzapunk gmail com>
+
+ * mpc-0.14-1:
+ New upstream release.
+ New maintainer.
+ Changed url.
+ Added !emptydirs option.
+ Changed download location to downloads.sourceforge.net.
+ Added ChangeLog.
diff --git a/abs/extra-testing/community/mpc/PKGBUILD b/abs/extra-testing/community/mpc/PKGBUILD
new file mode 100644
index 0000000..345a2d6
--- /dev/null
+++ b/abs/extra-testing/community/mpc/PKGBUILD
@@ -0,0 +1,26 @@
+# $Id: PKGBUILD 33671 2009-04-04 15:49:53Z alexanderf $
+# Maintainer: Alexander Fehr <pizzapunk gmail com>
+# Contributor: Link Dupont <link@subpop.net>
+
+pkgname=mpc
+pkgver=0.15
+pkgrel=1
+pkgdesc="Minimalist command line interface to MPD"
+arch=('i686' 'x86_64')
+url="http://mpd.wikia.com/wiki/Client:Mpc"
+license=('GPL2')
+depends=('glibc')
+options=('!emptydirs')
+source=(http://downloads.sourceforge.net/musicpd/mpc-$pkgver.tar.bz2)
+md5sums=('48897aeb3a7ee5c64f30e56789f105a8')
+
+build() {
+ cd "$srcdir/mpc-$pkgver"
+
+ ./configure --prefix=/usr || return 1
+ make || return 1
+ make DESTDIR="$pkgdir" install || return 1
+
+ # Install bash completion file
+ install -D -m644 doc/mpc-bashrc "$pkgdir/etc/bash_completion.d/mpc" || return 1
+}
diff --git a/abs/extra-testing/community/mpd/PKGBUILD b/abs/extra-testing/community/mpd/PKGBUILD
new file mode 100644
index 0000000..240a5f8
--- /dev/null
+++ b/abs/extra-testing/community/mpd/PKGBUILD
@@ -0,0 +1,44 @@
+# $Id: PKGBUILD 27462 2009-02-22 02:31:36Z eric $
+# Maintainer: Damir Perisa <damir.perisa@bluewin.ch>
+# Contributor: Ben <ben@benmazer.net>
+
+pkgname=mpd
+pkgver=0.14.2
+pkgrel=1
+pkgdesc="Music daemon that plays MP3, FLAC, and Ogg Vorbis files"
+arch=('i686' 'x86_64')
+license=('GPL')
+url="http://musicpd.org"
+depends=('libid3tag' 'libmad' 'flac>=1.1.3' 'audiofile' 'faad2>=2.6' 'libmikmod'
+ 'alsa-lib' 'libshout' 'libmpcdec>=1.2.5' 'libsamplerate' 'libao' 'ffmpeg'
+ 'wavpack' 'glib2' 'curl')
+install=mpd.install
+source=(http://downloads.sourceforge.net/musicpd/${pkgname}-${pkgver}.tar.gz
+ 'mpd')
+md5sums=('64177135f64aca555887ba378de8cdfb' 'b1fd15de359db08e4b9ae4b199640f0e')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --disable-jack \
+ --enable-ao --enable-mod \
+ --with-zeroconf=no
+ make || return 1
+ make DESTDIR=${pkgdir} install
+
+ # set ours dirs in mpd.conf file
+ sed -i 's|music_directory.*$|#music_directory "path_to_your_music_collection"|1' doc/mpdconf.example
+ sed -i 's|playlist_directory.*$|playlist_directory "/var/lib/mpd/playlists"|1' doc/mpdconf.example
+ sed -i 's|db_file.*$|db_file "/var/lib/mpd/mpd.db"|1' doc/mpdconf.example
+ sed -i 's|log_file.*$|log_file "/var/log/mpd/mpd.log"|1' doc/mpdconf.example
+ sed -i 's|error_file.*$|error_file "/var/log/mpd/mpd.error"|1' doc/mpdconf.example
+ sed -i 's|#pid_file.*$|pid_file "/var/run/mpd/mpd.pid"|1' doc/mpdconf.example
+ sed -i 's|#state_file.*$|state_file "/var/lib/mpd/mpdstate"|1' doc/mpdconf.example
+ sed -i 's|#user.*$|user "mpd"|1' doc/mpdconf.example
+
+ install -Dm644 doc/mpdconf.example ${pkgdir}/etc/mpd.conf.example || return 1
+
+ install -D ${srcdir}/mpd ${pkgdir}/etc/rc.d/mpd || return 1
+ install -d ${pkgdir}/var/lib/mpd/playlists ${pkgdir}/var/log/mpd ${pkgdir}/var/run/mpd
+}
diff --git a/abs/extra-testing/community/mpd/mpd b/abs/extra-testing/community/mpd/mpd
new file mode 100755
index 0000000..76ec1c0
--- /dev/null
+++ b/abs/extra-testing/community/mpd/mpd
@@ -0,0 +1,42 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting Music Player Daemon"
+ /usr/bin/mpd /etc/mpd.conf &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon mpd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Music Player Daemon"
+ /usr/bin/mpd --kill /etc/mpd.conf &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon mpd
+ stat_done
+ fi
+ ;;
+ create-db)
+ stat_busy "Creating mpd's database ..."
+ logpath="/var/log/mpd/mpd.db-creation"
+ /usr/bin/mpd --create-db /etc/mpd.conf > $logpath \
+ && stat_busy "Output written to $logpath"
+ stat_done
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart|create-db}"
+esac
+exit 0
diff --git a/abs/extra-testing/community/mpd/mpd.install b/abs/extra-testing/community/mpd/mpd.install
new file mode 100644
index 0000000..e44c9be
--- /dev/null
+++ b/abs/extra-testing/community/mpd/mpd.install
@@ -0,0 +1,23 @@
+# arg 1: the new package version
+post_install() {
+ echo "==> mpd: Create a config under /etc/mpd.conf before using MPD (Example: /etc/mpd.conf.example)"
+ groupadd -g 45 mpd &>/dev/null
+ useradd -u 45 -g mpd -d /var/lib/mpd -s /bin/true mpd &>/dev/null
+ gpasswd -a mpd audio &>/dev/null
+ chown mpd:mpd -R /var/{lib,log,run}/mpd
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ if [ "$(vercmp $2 0.12)" -lt 0 ]; then
+ echo "==> mpd: upgrade from 0.11 -> 0.12: configuration file syntax changed, "
+ echo "==> mpd: make sure to update your configuration file! example conf: /etc/mpd.conf.example"
+ fi
+ chown mpd:mpd -R /var/{lib,log,run}/mpd
+}
+
+# arg 1: the old package version
+pre_remove() {
+ userdel mpd &>/dev/null
+}